Management (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.porttype
Class Management

    java.lang.Object
      org.gcube.common.core.porttypes.GCUBEPortType
          org.gcube.datatransfer.scheduler.impl.porttype.Management

All Implemented Interfaces:
  javax.xml.rpc.server.ServiceLifecycle

    public class Management

extends org.gcube.common.core.porttypes.GCUBEPortType

Field Summary
`org.gcube.datatransfer.scheduler.db.DataTransferDBManager` | `dbManager`

Fields inherited from class org.gcube.common.core.porttypes.GCUBEPortType
`initialized`

Constructor Summary
`Management()`

Method Summary
`String` | `about(String name)`
`String` | `existAgentInDB(String agent)`
`String` | `existAgentInIS(String agent)`
`String` | `getAddr(String tmp)`
`String` | `getAgentStatistics(String nothing)`
`String` | `getAllTransfersInfo(String name)`
`String` | `getObjectsFromIS(String type)`
`org.gcube.common.core.contexts.GCUBEServiceContext` | `getServiceContext()`

Methods inherited from class org.gcube.common.core.porttypes.GCUBEPortType
`destroy, init, onFailure, onInitialisation, onReady, onStateChange, onUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dbManager

    public org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager

Constructor Detail

### Management

    public Management()

Method Detail

### about

    public String about(String name)
                 throws org.gcube.common.core.faults.GCUBEFault,
                        org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault

  Throws:
    `org.gcube.common.core.faults.GCUBEFault`
    `org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault`

### getAddr

    public String getAddr(String tmp)
                   throws org.gcube.common.core.faults.GCUBEFault,
                          org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault

  Throws:
    `org.gcube.common.core.faults.GCUBEFault`
    `org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault`

### getAllTransfersInfo

    public String getAllTransfersInfo(String name)
                               throws org.gcube.common.core.faults.GCUBEFault,
                                      org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault

  Throws:
    `org.gcube.common.core.faults.GCUBEFault`
    `org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault`

### getObjectsFromIS

    public String getObjectsFromIS(String type)

### existAgentInIS

    public String existAgentInIS(String agent)

### existAgentInDB

    public String existAgentInDB(String agent)

### getAgentStatistics

    public String getAgentStatistics(String nothing)

### getServiceContext

    public org.gcube.common.core.contexts.GCUBEServiceContext getServiceContext()

  Specified by:
    `getServiceContext` in class `org.gcube.common.core.porttypes.GCUBEPortType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.